summaryrefslogtreecommitdiff
path: root/test/integration/test-signed-by-option
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration/test-signed-by-option')
-rwxr-xr-xtest/integration/test-signed-by-option13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/test-signed-by-option b/test/integration/test-signed-by-option
new file mode 100755
index 000000000..4ab2e28bb
--- /dev/null
+++ b/test/integration/test-signed-by-option
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+
+setupenvironment
+configarchitecture 'amd64'
+
+msgtest "Check that a repository with signed-by and two components works"
+echo 'deb [signed-by=CDE5618B8805FD6E202CE9C2D73C39E56580B386] https://people.debian.org/~jak/debian/ stable main contrib # Äffchen' > rootdir/etc/apt/sources.list
+
+testsuccess --nomsg aptcache policy